import redis

from flask import current_app, g


def get_redis():  # pragma: no cover
    if 'redis_db' not in g:
        config = current_app.config['INVENTORY_PROVIDER_CONFIG']
        g.redis_db = redis.Redis(
            host=config['redis']['hostname'],
            port=config['redis']['port'])

    return g.redis_db
